> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update support issue

> Update the priority or status of an existing support issue



## OpenAPI

````yaml patch /v4/support/issues/{issueId}
openapi: 3.0.3
info:
  title: Kadoa API
  version: 3.0.0
  contact:
    name: Support
    email: support@kadoa.com
servers:
  - url: https://api.kadoa.com
security: []
paths:
  /v4/support/issues/{issueId}:
    patch:
      tags:
        - Support
      summary: Update issue priority and/or status
      parameters:
        - name: issueId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                priority:
                  type: number
                  enum:
                    - 0
                    - 1
                    - 2
                    - 3
                    - 4
                  description: >-
                    Issue priority (0=No priority, 1=Urgent, 2=High, 3=Medium,
                    4=Low)
                stateId:
                  type: string
                  description: >-
                    Target state ID. Use GET /v4/support/states to retrieve
                    available states. Setting a non-final state on a resolved
                    issue will reopen it.
                reopenComment:
                  type: string
                  description: >-
                    Optional comment explaining why the issue is being reopened.
                    Max 2000 characters. Only used when reopening a resolved
                    issue.
                resolutionMessage:
                  type: string
                  description: >-
                    Optional message explaining how the issue was resolved. Max
                    2000 characters. When provided, a resolved email including
                    this message is sent to the user.
      responses:
        '200':
          description: Issue updated successfully
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````